<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Registration</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
            crossorigin="anonymous"></script>

    <link type="text/css" href="/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
<p><a href="/">Main page</a></p>
<div class="container">
    <div class="row">
        <div>
            <h2>Registration new user:</h2>

            <#if error??>
                <p style="color: red">${error}</p>
            </#if>

            <#if massage??>
                <p style="color: green">${massage}</p>
            </#if>

            <form method="Post">
                <div class="col-3 mb-2">
                    <input type="text" aria-label="login" class="form-control" id="login" name="login"
                           placeholder="Login" pattern="^[a-zA-Z0-9]{1,100}$">
                </div>
                <div class="col-3 mb-2">
                    <input type="text" aria-label="name" class="form-control" id="name" name="name"
                           placeholder="Name" pattern="^[ а-яА-ЯёЁіІїЇa-zA-Z0-9]{1,100}$">
                </div>
                <div class="col-3 mb-2">
                    <div class="input-group mb-2">
                        <input type="email" aria-label="email" class="form-control" id="email" name="email"
                               placeholder="Email address" pattern="^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9-]+.[a-zA-Z]{2,4}$">
                    </div>
                </div>
                <div class="col-3 mb-2">
                    <div class="input-group mb-2">
                        <input type="text" aria-label="code" disabled class="form-control" value="+380" id="code" name="code">
                        <div class="input-group-append">
                            <input type="text" class="form-control" aria-label="Text input with dropdown button"
                                   id="phone" name="phone" placeholder="xx xxx-xx-xx"
                                   pattern="^\\(?(\\d{2})\\)?[- ()*]?(\\d{3})[- ()*]?(\\d{2})?[- ()*]?(\\d{2})$">
                        </div>
                    </div>
                </div>
                <div class="col-3 mb-2">
                    <input type="password" aria-label="password"  class="form-control" name="password" id="password"
                           placeholder="Create password"/>
                </div>
                <div class="col-3 mb-2">
                    <input type="password" aria-label="repeat"  class="form-control" name="repeat" id="repeat"
                           placeholder="Repeat password"/>
                </div>
                <input type="submit" class="btn btn-primary mb-2" value="Registration">
            </form>

        </div>
    </div>
</div>
</body>
</html>